;;
;; Test problem for missionaries and natives
;;

(define (problem russell-and-norvig)
  (:domain m-and-n)
  (:length (:parallel 21) (:serial 31))
  (:domain-variables
   (?capacity 2) 
                         - FLOAT
   (?num_miss[left] 3)
   (?num_native[left] 3)
   (?num_miss[right] 0)
   (?num_native[right] 0)
   (?boarded_native 0)
   (?boarded_miss 0)
                         - FLUENT)
  (:objects
   geordi
   guinan
   worf
              - MISSIONARY
   kunta
   omoro
   binta
              - NATIVE
   right
   left
              - SIDE)
  (:init
   (at geordi left)
   (at guinan left)
   (at worf left)
   (at kunta left)
   (at omoro left)
   (at binta left)
   (at-boat left)
   )
  (:goal
   (and
    (at geordi right)
    (at guinan right)
    (at worf right)
    (at kunta right)
    (at omoro right)
    (at binta right)
    )))

