;; original name logistics.easy
;; (:length (:parallel 9))
;; optimal
;;

(define (problem test2)
    (:domain logistics-metric)
    (:length (:parallel 6))
    (:domain-variables
	(?dist[la-airport,la-airport] 0)
	(?dist[pgh-airport,pgh-airport] 0)
	(?dist[pgh-airport,la-airport] 2500)
	(?dist[la-airport,pgh-airport] 2500)
	(?capacity[airplane1] 400)
	(?capacity[airplane2] 2000)
	(?capacity[pgh-truck] 100)
	(?truck_trip 20)
	(?airplane_trip 50)
	(?plane_mpg 3) - float
	(?fuel[airplane1] 100)
	(?fuel[airplane2] 100)
	(?fuel[pgh-truck] 20)
	             - fluent)
    (:objects
	   package1
                  - OBJ

        airplane1
        airplane2 - AIRPLANE

        pgh
        la - CITY

        pgh-truck
                   - TRUCK

        pgh-po
                   - LOCATION

        pgh-airport
        la-airport 
                   - AIRPORT
    )
    (:init
	   (depot pgh-airport)
	   (depot la-airport)

        (in-city pgh-po pgh)
        (in-city pgh-airport pgh)

        (in-city la-airport la)

        (at package1 pgh-po)

        (at airplane1 pgh-airport)
        (at airplane2 pgh-airport)

        (at pgh-truck pgh-po)

    )
    (:goal (and
        (at package1 la-airport)
    ))
)

