(define (domain army-domain) (:requirements :strips)
  (:types UNIT LOCATION - object
          TRANSPORT LAND-UNIT - UNIT)
  (:predicates (at ?u - UNIT ?l - LOCATION)
               (same-island ?l1 ?l2 - LOCATION))
  
  ;; board-transport unit transport
  ;; disembark-transport unit transport
  ;; move-unit unit (could be transport)
  
;  (:action move-unit
;          :parameters (?u - UNIT ?from ?to - LOCATION)
;          :precondition (and (at ?u ?from)
;                             (same-island ?from ?to))
;          :effect (and (not (at ?u ?from))
;                       (at ?u ?to)
;                       (influences ?warriors-at[?from] -1)
;                       (influences ?warriors-at[?to] 1)))

  (:action move-unit
          :parameters (?from ?to - LOCATION)
          :fluent-parameters (?num)
          :precondition  (and (test ?warriors-at[?from]' >= 0)
                             (same-island ?from ?to))
          :effect (and (influence ?warriors-at[?from] 0 - ?num)
                       (influence ?warriors-at[?to] ?num)))

  
;  (:action move-unit
;           :parameters (?from ?to - LOCATION)
;           :precondition (and (test ?warriors-at[?from] >= 1)
;                              (same-island ?from ?to))
;           :effect (and (influences ?warriors-at[?from] -1)
;                        (influences ?warriors-at[?to] 1)))
;
  
  )
