;; original name logistics.b
;; (:length (:parallel 13))
;; optimal
;; #actions 47 #states 10^8
;;

(define (problem log005)
    (:domain logistics-strips)
    (:length (:parallel 13))
    (:objects
        package1
        package2
        package3
        package4
        package5
        package6
        package7 - OBJ


        airplane1
        airplane2 - AIRPLANE

        pgh
        bos
        la
        ny - CITY

        pgh-truck
        bos-truck
        la-truck
        ny-truck - TRUCK

        pgh-po
        bos-po
        la-po
        ny-po

        pgh-central
        bos-central
        la-central
        ny-central - LOCATION

        pgh-airport
        bos-airport
        la-airport
        ny-airport - AIRPORT
    )
    (:init
        (in-city pgh-po pgh)
        (in-city pgh-airport pgh)
        (in-city pgh-central pgh)

        (in-city bos-po bos)
        (in-city bos-airport bos)
        (in-city bos-central bos)

        (in-city la-po la)
        (in-city la-airport la)
        (in-city la-central la)

        (in-city ny-po ny)
        (in-city ny-airport ny)
        (in-city ny-central ny)

        (at package1 pgh-po)
        (at package2 pgh-po)
        (at package3 pgh-po)
        (at package5 bos-po)
        (at package7 ny-po)

        (at airplane1 pgh-airport)
        (at airplane2 pgh-airport)

        (at bos-truck bos-po)
        (at pgh-truck pgh-po)
        (at la-truck la-po)
        (at ny-truck ny-po)
    )
    (:goal (and
        (at package1 bos-po)
        (at package2 ny-po)
        (at package3 la-po)
        (at package5 pgh-po)
        (at package7 pgh-po)
    ))
)
