;; original name logistics.easy
;; (:length (:parallel 9))
;; optimal
;;

(define (problem log001)
    (:domain logistics-metric)
    (:length (:parallel 9))
    (:domain-variables
	(?dist[la-airport,la-airport] 0)
	(?dist[pgh-airport,pgh-airport] 0)
	(?dist[pgh-airport,la-airport] 2500)
	(?dist[la-airport,pgh-airport] 2500)
	(?capacity[airplane1] 300)
	(?capacity[airplane2] 2000)
;	(?capacity[pgh-truck] 100)
;	(?capacity[la-truck] 100)
	(?truck_trip 20)
	(?airplane_trip 50)
	(?plane_mpg 3) - float
	(?fuel[airplane1] 100)
	(?fuel[airplane2] 100)
;	(?fuel[pgh-truck] 20)
;	(?fuel[la-truck] 20)
	             - fluent)
    (:objects
;        package1
;        package2 - OBJ

        airplane1
        airplane2 - AIRPLANE

        pgh
        la - CITY

;        pgh-truck
;        la-truck - TRUCK

;        pgh-po
;        la-po - LOCATION

        pgh-airport
        la-airport - AIRPORT
    )
    (:init
	   (depot pgh-airport)
	   (depot la-airport)

;        (in-city pgh-po pgh)
        (in-city pgh-airport pgh)

;        (in-city la-po la)
        (in-city la-airport la)

;        (at package1 pgh-po)
;        (at package2 pgh-po)

        (at airplane1 pgh-airport)
        (at airplane2 pgh-airport)

;        (at pgh-truck pgh-po)
;        (at la-truck la-po)

    )
    (:goal (and
;        (at package1 la-po)
;        (at package2 la-po)
;		  (in package1 airplane2)
;		  (in package2 airplane2)
		  (at airplane2 la-airport)
    ))
)

