;; original name logistics.easy
;; (:length (:parallel 9))
;; optimal
;;

(define (problem log001)
    (:domain logistics-metric)
    (:length (:parallel 9))
    (:domain-variables
	(?dist[bos-airport,bos-airport] 0)
	(?dist[pgh-airport,pgh-airport] 0)
	(?dist[pgh-airport,bos-airport] 800)
	(?dist[bos-airport,pgh-airport] 800)
	(?capacity[airplane1] 400)
	(?capacity[pgh-truck] 100)
	(?capacity[bos-truck] 100)
	(?truck_trip 20)
	(?airplane_trip 50)
	(?plane_mpg 3) - float
	(?fuel[airplane1] 100)
	(?fuel[pgh-truck] 20)
	(?fuel[bos-truck] 20)
	             - fluent)
    (:objects
        package3 - OBJ

        airplane1 - AIRPLANE

        pgh
        bos - CITY

        pgh-truck
        bos-truck - TRUCK

        pgh-po
        bos-po

	   pgh-central
	   bos-central - LOCATION


        pgh-airport
        bos-airport - AIRPORT
    )
    (:init
	   (depot pgh-airport)
	   (depot bos-airport)

        (in-city pgh-po pgh)
        (in-city pgh-central pgh)
        (in-city pgh-airport pgh)

        (in-city bos-po bos)
        (in-city bos-central bos)
        (in-city bos-airport bos)

        (at package3 pgh-po)

        (at airplane1 pgh-airport)

        (at bos-truck bos-po)
        (at pgh-truck pgh-po)

    )
    (:goal (and
        (at package3 bos-po)
    ))
)

