#ifndef LightweightTypes_h
#define LightweightTypes_h

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// This file contains typedefs, enums, and definitions of their special values.
typedef short int DomainValue;
#define NON_VALUE   -1                  // The NON_VALUE is a special domain value. Domain values are usually positive integers.

typedef short int VariablePosition;     // Used to specify that a Variable is being represented by its index in an array 
typedef short int VariableID;    
#define NON_ID      -1

typedef bool boolean;

#endif // LightweightTypes_h
