;; Marc's proposed camel domain problem
;;

(define (problem marc)
  (:domain camel)
  (:length (:serial 2))
  (:domain-variables
   (?goalLoc 1000)
   (?goalLoad 1)

   (?maxCamelLoad 1000)
   (?camelMPB 1) 
                - FLOAT

   (?camelLoc 0)
   (?camelLoad 0)

   (?stashSize[s1] 2500)
   (?stashSize[s2] 0)
   (?stashSize[s3] 500)

   (?stashLoc[s1] 0)
   (?stashLoc[s2] 0)
   (?stashLoc[s3] 500)
                - FLUENT)

  (:objects
   s1
   s2
     - STASH)

  (:goal
   (and
    (test ?camelLoc = ?goalLoc)
    (test ?camelLoad >= ?goalLoad))))
