;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Die Hard 3 domain - dumping water
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (domain DieHard3)
  (:requirements :strips)
  (:action fill
		 :parameters (?jug)
		 :effect (set ?contents[?jug] ?capacity[?jug]))
  (:action empty
		 :parameters (?jug)
		 :effect (set ?contents[?jug] 0))
  (:action pour
		 :parameters (?from ?to)
		 :effect (and (when (test (?contents[?from] + ?contents[?to]) >=
							 ?capacity[?to])
						(and (set ?contents[?to] ?capacity[?to])
							(set ?contents[?from] 
								?contents[?from] - 
								(?capacity[?to] - ?contents[?to]))))
				    (when (test (?contents[?from] + ?contents[?to]) <=
							 ?capacity[?to])
						(and (set ?contents[?to] 
								?contents[?from] + ?contents[?to])
							(set ?contents[?from] 0))))))


