#include <iostream.h>
#include "Cl.h"

int main(int argc, char * argv[])
{
  ClVariable w, x, y, z;
  ClSimplexSolver solver;

  solver.setAutosolve(false);
  
  cout << solver.addConstraintNoException(ClLinearEquation(x, 7.0)) << endl;

  cout << solver.addConstraintNoException(ClLinearEquation(y, 9.0)) << endl;
  
  cout << solver.addConstraintNoException(ClLinearInequality(x, cnGEQ, y)) << endl;

  cout << endl;
}

#if 0
  xEnd.set_value(100.0);
  yEnd.set_value(100.0);

  solver
    .addStay(xStart)
    .addStay(yStart)
    .addStay(xEnd)
    .addStay(yEnd);

  solver
    .addConstraint(ClLinearEquation(xEnd,xStart+200.0))
    .addConstraint(ClLinearEquation(yEnd,xStart*2.0))
    .addConstraint(ClEditConstraint(xStart))
    .addConstraint(ClEditConstraint(yStart));
#endif
